## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLQueryArgumentListImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLQueryArgumentListImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, XMLQueryArgumentList

public class XMLQueryArgumentListImpl
extends SQLQueryObjectImpl
implements XMLQueryArgumentList

An implementation of the model object 'XML Query Argument List'.

The following features are implemented:

- `Passing Mechanism`
- `Predicate Exists`
- `Xquery Arg List Children`
- `Value Function Query`
- `Table Function`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetPredicateExists(XMLPredicateExists newPredicateExists, NotificationChain msgs)`
`NotificationChain` `basicSetTableFunction(XMLTableFunction newTableFunction, NotificationChain msgs)`
`NotificationChain` `basicSetValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLPassingType` `getPassingMechanism()`
`XMLPredicateExists` `getPredicateExists()`
`XMLTableFunction` `getTableFunction()`
`XMLValueFunctionQuery` `getValueFunctionQuery()`
`EList` `getXqueryArgListChildren()`
`void` `setPassingMechanism(XMLPassingType newPassingMechanism)`
`void` `setPredicateExists(XMLPredicateExists newPredicateExists)`
`void` `setTableFunction(XMLTableFunction newTableFunction)`
`void` `setValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getPassingMechanism

    public XMLPassingType getPassingMechanism()

  Specified by:
    `getPassingMechanism` in interface `XMLQueryArgumentList`
  Returns:
    the value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `XMLQueryArgumentList.setPassingMechanism(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_PassingMechanism()`

### setPassingMechanism

    public void setPassingMechanism(XMLPassingType newPassingMechanism)

  Specified by:
    `setPassingMechanism` in interface `XMLQueryArgumentList`
  Parameters:
    `newPassingMechanism` - the new value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `XMLQueryArgumentList.getPassingMechanism()`

### getPredicateExists

    public XMLPredicateExists getPredicateExists()

  Specified by:
    `getPredicateExists` in interface `XMLQueryArgumentList`
  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `XMLQueryArgumentList.setPredicateExists(XMLPredicateExists)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_PredicateExists()`, `XMLPredicateExists.getXqueryArgList()`

### basicSetPredicateExists

    public NotificationChain basicSetPredicateExists(XMLPredicateExists newPredicateExists,
                                                     NotificationChain msgs)

### setPredicateExists

    public void setPredicateExists(XMLPredicateExists newPredicateExists)

  Specified by:
    `setPredicateExists` in interface `XMLQueryArgumentList`
  Parameters:
    `newPredicateExists` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `XMLQueryArgumentList.getPredicateExists()`

### getXqueryArgListChildren

    public EList getXqueryArgListChildren()

  Specified by:
    `getXqueryArgListChildren` in interface `XMLQueryArgumentList`
  Returns:
    the value of the 'Xquery Arg List Children' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLQueryArgumentList_XqueryArgListChildren()`, `XMLQueryArgumentItem.getXqueryArgList()`

### getValueFunctionQuery

    public XMLValueFunctionQuery getValueFunctionQuery()

  Specified by:
    `getValueFunctionQuery` in interface `XMLQueryArgumentList`
  Returns:
    the value of the 'Value Function Query' container reference.
  See Also:
    `XMLQueryArgumentList.setValueFunctionQuery(XMLValueFunctionQuery)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_ValueFunctionQuery()`, `XMLValueFunctionQuery.getXqueryArgList()`

### basicSetValueFunctionQuery

    public NotificationChain basicSetValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery,
                                                        NotificationChain msgs)

### setValueFunctionQuery

    public void setValueFunctionQuery(XMLValueFunctionQuery newValueFunctionQuery)

  Specified by:
    `setValueFunctionQuery` in interface `XMLQueryArgumentList`
  Parameters:
    `newValueFunctionQuery` - the new value of the 'Value Function Query' container reference.
  See Also:
    `XMLQueryArgumentList.getValueFunctionQuery()`

### getTableFunction

    public XMLTableFunction getTableFunction()

  Specified by:
    `getTableFunction` in interface `XMLQueryArgumentList`
  Returns:
    the value of the 'Table Function' container reference.
  See Also:
    `XMLQueryArgumentList.setTableFunction(XMLTableFunction)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_TableFunction()`, `XMLTableFunction.getXqueryArgList()`

### basicSetTableFunction

    public NotificationChain basicSetTableFunction(XMLTableFunction newTableFunction,
                                                   NotificationChain msgs)

### setTableFunction

    public void setTableFunction(XMLTableFunction newTableFunction)

  Specified by:
    `setTableFunction` in interface `XMLQueryArgumentList`
  Parameters:
    `newTableFunction` - the new value of the 'Table Function' container reference.
  See Also:
    `XMLQueryArgumentList.getTableFunction()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.